[Deprecated]: v1.0

get

/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/subjects/{subjectId}/doseheld

Deprecated: Get kits which are marked as dose hold in the current visit. Rights: OrsSubjectVisitGet.

Request

Path Parameters
  • Indicates the operational mode of the study. Accepted values: active, test, or training.
    Example:
    test
  • Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example:
    C36A3197FDEE433FB5547EE83DE99E4B
  • Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example:
    C36A3197FDEE433FB5547EE83DE99E4B
Query Parameters

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Successful operation
Body ()
Root Schema : DoseHoldKit
Type: object
Title: DoseHoldKit
Response containing dose hold kit details.
Show Source
Example:
{
    "kitId":"C1C8327AFAA6412287106192AB5984EF",
    "kitNumber":"KIT-000456"
}
Examples

400 Response

Invalid subject OR Scheduled visit with instance number OR Unscheduled visit with no instance number
Body ()
Root Schema : ORSResponse
Type: object
Common response object.
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
Result Object
Nested Schema : details
Type: object
Examples

500 Response

Internal server error
Body ()
Root Schema : ORSResponse
Type: object
Common response object.
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
Result Object
Nested Schema : details
Type: object
Examples

Back to Top